import { bt as useTheme, a$ as useCookie, br as useState } from './server.mjs';

const useAppTheme = () => {
  const theme = useTheme();
  const cookie = useCookie("theme");
  const toggleTheme = () => {
    const newTheme = theme.global.current.value.dark ? "light" : "dark";
    theme.change(newTheme);
    cookie.value = newTheme;
  };
  return { theme, toggleTheme };
};
function useInitialCalendarPage() {
  return useState(
    () => {
      const now = /* @__PURE__ */ new Date();
      return { month: now.getMonth() + 1, year: now.getFullYear() };
    },
    "$obgH6VsyJ3"
    /* nuxt-injected */
  );
}

export { useInitialCalendarPage as a, useAppTheme as u };
